Rendre un theme compatible à un plugin
(Rendre un theme compatible à un plugin )

Thème non compatible Woocommerce


Si votre thème ne supporte par le plugin Woocommerce voici un tutoriel pour le rendre compatible:

1 - Dupliquer le fichier « page.php » de votre thème ;
2 - Renommer la copie de « page.php » en « woocommerce.php » ;
3 - Ouvrir « woocommerce.php » vous devez trouver la boucle. La boucle commence d'habitude par a : « <?php if ( have_posts() ) : » finit d'habitude avec : « <?php endif; ?> »
Nous pour le thème Relief notre boucle était « <?php load_template( TEMPLATEPATH . '/includes/loop.php' ); ?> »
Ceci varie entre des thèmes. Une fois que vous l'avez trouvé, supprimez-là. À sa place mettre : <?php woocommerce_content(); ?>
4 - Ouvrir le fichier « functions.php » et ajouter en dessous de la fonction « add_theme_support( 'post-thumbnails' ); » la fonction « add_theme_support( 'woocommerce' ); »

Et voilà votre thème est compatible avec le plugin Woocommerce ;)